[Jack-Devel] JackOSX build with jackd 1.9.9.5 inside?

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

[Jack-Devel] JackOSX build with jackd 1.9.9.5 inside?

anders.vinjar
Im having same problem here as Athanasios Silis is seeing, only i'm
trying to hook up through jackd -d net from linux to a jackd running on
OSX.

My linux jackd says 1.9.9.5.  I'd rather not want to mess too much with
that one, if possible.

Doing 'jackd -d net' on the linux box makes jackd on osx report mismatch
in protocol versions (6 != 8).

So, is there a build of JackOSX which has got jackd -V 1.9.9.5 in it
anywhere?

I've looked around at the jackosx.org, but the version numbers don't
seem to tell anything about what's inside the packages.

Thanks for any help.

Cheers,

-anders




_______________________________________________
Jack-Devel mailing list
[hidden email]
http://lists.jackaudio.org/listinfo.cgi/jack-devel-jackaudio.org
Reply | Threaded
Open this post in threaded view
|

Re: JackOSX build with jackd 1.9.9.5 inside?

anders.vinjar
    a> Doing 'jackd -d net' on the linux box makes jackd on osx report mismatch
    a> in protocol versions (6 != 8).

I'm not sure why though, both jacks report 'protocol 8' when doing
'jackd -V'

Trying the other way around, doing 'jackd -d net' on OSX to a jack
server on linux gives the same result, only protocol numbers are
swapped:

   Error : slave walter-2.local is running with a different protocol 8 != 6
   Can't init new NetMaster...

Any clues?

-anders

_______________________________________________
Jack-Devel mailing list
[hidden email]
http://lists.jackaudio.org/listinfo.cgi/jack-devel-jackaudio.org
Reply | Threaded
Open this post in threaded view
|

Re: JackOSX build with jackd 1.9.9.5 inside?

Stéphane Letz
Use official JACK 1.9.10 everywhere.

Stéphane

Le 4 déc. 2014 à 15:25, [hidden email] a écrit :

>    a> Doing 'jackd -d net' on the linux box makes jackd on osx report mismatch
>    a> in protocol versions (6 != 8).
>
> I'm not sure why though, both jacks report 'protocol 8' when doing
> 'jackd -V'
>
> Trying the other way around, doing 'jackd -d net' on OSX to a jack
> server on linux gives the same result, only protocol numbers are
> swapped:
>
>   Error : slave walter-2.local is running with a different protocol 8 != 6
>   Can't init new NetMaster...
>
> Any clues?
>
> -anders
>
> _______________________________________________
> Jack-Devel mailing list
> [hidden email]
> http://lists.jackaudio.org/listinfo.cgi/jack-devel-jackaudio.org

_______________________________________________
Jack-Devel mailing list
[hidden email]
http://lists.jackaudio.org/listinfo.cgi/jack-devel-jackaudio.org
Reply | Threaded
Open this post in threaded view
|

Re: JackOSX build with jackd 1.9.9.5 inside?

anders.vinjar
>>>>> "S" == Stéphane Letz <[hidden email]> writes:

    S> Use official JACK 1.9.10 everywhere.

If that's what it takes, i'll do that.

But would much prefer it if someone dug up a (working) release of
jackosx using jackd 1.9.9.5.

-anders

_______________________________________________
Jack-Devel mailing list
[hidden email]
http://lists.jackaudio.org/listinfo.cgi/jack-devel-jackaudio.org
Reply | Threaded
Open this post in threaded view
|

Re: JackOSX build with jackd 1.9.9.5 inside?

anders.vinjar
In reply to this post by anders.vinjar
update: i've installed 1.9.10 on both platforms now, and connections
seem to work as expected.

-anders

_______________________________________________
Jack-Devel mailing list
[hidden email]
http://lists.jackaudio.org/listinfo.cgi/jack-devel-jackaudio.org